%define debug_package %{nil}

%define mybuildnumber %{?build_number}%{?!build_number:1}

Name:           astroid
Version:        0.20220530
Release:        %{mybuildnumber}%{?dist}
Summary:        Astroid mail client
Group:          Development/Tools

License:        GPLv3
URL:            https://github.com/astroidmail/astroid
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  coreutils
BuildRequires:  tar
BuildRequires:  gawk
BuildRequires:  findutils
BuildRequires:  cmake
BuildRequires:  make
BuildRequires:  ninja-build
BuildRequires:  notmuch-devel
BuildRequires:  gtkmm30-devel
BuildRequires:  webkitgtk4-devel
BuildRequires:  libsass-devel
BuildRequires:  gmime30-devel
BuildRequires:  protobuf-devel
BuildRequires:  sed
BuildRequires:  scdoc
BuildRequires:  boost-devel
BuildRequires:  gcc-c++

%description
A fast GUI for notmuch.

%prep
%setup -q -n %{name}

%build
sed -i 's|DESTINATION lib/|DESTINATION %{_libdir}/|' CMakeLists.txt
sed -i 's|path wke = path .PREFIX. / path ."lib/astroid/web-extensions"..|path wke = path ("%{_libdir}/astroid/web-extensions");|' src/modes/thread_view/page_client.cc
cmake -H. -Bbuild -GNinja -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix}
cmake --build build -- -j3

%install
DESTDIR=%{buildroot} cmake --build build --target install

%files
%defattr(-, root, root)
%doc README.md
%attr(0755, root, root) %{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/icons/*/*/*/*
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man1/%{name}.1.gz

%changelog
* Thu Mar 14 2019  Manuel Amador (Rudd-O) <rudd-o@rudd-o.com>
- Initial packaging.
